---
import type { CollectionEntry } from 'astro:content'
import type { Layout } from '@libs/layout'
import Skippy from '@components/header/Skippy.astro'
import Symbols from '@components/icons/Symbols.astro'
import Navigation from '@components/header/Navigation.astro'

interface Props {
  addedIn?: CollectionEntry<'docs'>['data']['added']
  layout: Layout
  title: string
}

const { addedIn, layout, title } = Astro.props
---

<Skippy layout={layout} />
<Symbols />

<Navigation layout={layout} title={title} addedIn={addedIn} />
